libgraph-writer-graphviz-perl - GraphViz Writer for Graph object

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libgraph-writer-graphviz-perl
Package version: 0.11
Package release: 2
Package architecture: all
Package type: deb
Installed size: 53 B
Download size: 7.09 KB
Official Mirror:
Graph::Writer::GraphViz is a class for writing out a Graph object with GraphViz module. All GraphViz formats should be supported without a problem. Unlike other Graph::Writer modules, this module provide an extra parameter '-format' to new() method, in order to save different format. Other supported GraphViz parameters are -layout, -ranksep, -shape, -fontsize, -arrowsize.


    Source package: libgraph-writer-graphviz-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libgraph-writer-graphviz-perl deb package:
      # sudo apt-get install libgraph-writer-graphviz-perl


    • /usr/share/doc/libgraph-writer-graphviz-perl/changelog.Debian.gz
    • /usr/share/doc/libgraph-writer-graphviz-perl/copyright
    • /usr/share/man/man3/Graph::Writer::GraphViz.3pm.gz
    • /usr/share/perl5/Graph/Writer/


    2014-10-22 - gregor herrmann <> libgraph-writer-graphviz-perl (0.11-2) unstable; urgency=low [ Salvatore Bonaccorso ] * Change Vcs-Git to canonical URI (git:// * Change based URIs to based URIs [ Axel Beckert ] * debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg- copyright" [ gregor herrmann ] * Ack NMU, thanks Ian. Import Ian's commits as quilt patches. [ Salvatore Bonaccorso ] * Update Vcs-Browser URL to cgit web frontend [ gregor herrmann ] * Update Ian's changes to the test suite. Graphviz dot output has changed again, and textually comparing formatted strings is fragile. So switch from dot format to plain format. Update test utility function accordingly. (Closes: #755328) * debian/copyright: update information for debian/*. * Mark package as autopkgtest-able. * Declare compliance with Debian Policy 3.9.6.

    2014-02-08 - Ian Jackson <> libgraph-writer-graphviz-perl (0.11-1nmu1) unstable; urgency=low * Fix FTBFS by sorting output in tests. Closes:#711446.

    2011-10-16 - gregor herrmann <> libgraph-writer-graphviz-perl (0.11-1) unstable; urgency=low [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ gregor herrmann ] * New upstream release. * Switch to source format 3.0 (quilt). Use tiny debian/rules; remove quilt from Build-Depends, and remove debian/README.source. * Remove tests_fix.patch, applied upstream. * debian/copyright: convert to DEP5-format. * Set Standards-Version to 3.9.2; remove version from perl build dependency. * Bump debhelper compatibility level to 8. * Remove build dependency on libmodule-build-perl, Module::Build is in core since 5.9.4. * Add /me to Uploaders.

    2009-08-21 - Xavier Oswald <> libgraph-writer-graphviz-perl (0.10-1) unstable; urgency=low * Initial release (Closes: #487968)